# Uses of Class
org.apache.qpid.proton.amqp.messaging.DeleteOnNoLinksOrMessages

Packages that use DeleteOnNoLinksOrMessages
Package
Description
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.codec.messaging

## Uses of DeleteOnNoLinksOrMessages in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return DeleteOnNoLinksOrMessages
Modifier and Type
Method
Description
`static DeleteOnNoLinksOrMessages`
DeleteOnNoLinksOrMessages.`getInstance()`

## Uses of DeleteOnNoLinksOrMessages in org.apache.qpid.proton.codec.messaging

Methods in org.apache.qpid.proton.codec.messaging that return DeleteOnNoLinksOrMessages
Modifier and Type
Method
Description
`DeleteOnNoLinksOrMessages`
DeleteOnNoLinksOrMessagesType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.messaging that return types with arguments of type DeleteOnNoLinksOrMessages
Modifier and Type
Method
Description
`Class<DeleteOnNoLinksOrMessages>`
DeleteOnNoLinksOrMessagesType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.messaging with parameters of type DeleteOnNoLinksOrMessages
Modifier and Type
Method
Description
`protected List`
DeleteOnNoLinksOrMessagesType.`wrap(DeleteOnNoLinksOrMessages val)`